## apt 1.6.12+9.0trisquel1

=== CMakeLists.txt ===
# Copyright (C) 2009, 2016 Julian Andres Klode <jak@debian.org>.
# Licensed under the same terms as APT; i.e. GPL 2 or later.

# set minimum version
project(apt)
cmake_minimum_required(VERSION 3.4.0)
# Generic header locations
include_directories(${PROJECT_BINARY_DIR}/include)


enable_testing()

option(WITH_DOC "Build documentation." ON)
option(USE_NLS "Localisation support." ON)

set(CMAKE_MODULE_PATH "${PROJECT_SOURCE_DIR}/CMake")

# Add coverage target
set(CMAKE_CXX_FLAGS_COVERAGE "-g -fprofile-arcs -ftest-coverage")
set(CMAKE_EXE_LINKER_FLAGS_COVERAGE "-lgcov")
set(CMAKE_SHARED_LINKER_FLAGS_COVERAGE "-lgcov")

# Work around bug in GNUInstallDirs
if (EXISTS "/etc/debian_version")
  set(CMAKE_INSTALL_LIBEXECDIR "lib")
endif()

# Include stuff
include(Misc)
include(CheckIncludeFiles)
include(CheckFunctionExists)
include(CheckStructHasMember)
include(GNUInstallDirs)
include(TestBigEndian)
find_package(Threads REQUIRED)
find_package(LFS REQUIRED)
find_package(Iconv REQUIRED)

find_package(Perl REQUIRED)

if(USE_NLS)
  find_package(Intl REQUIRED)
  link_libraries(${Intl_LIBRARIES})
  include_directories(${Intl_INCLUDE_DIRS})
endif()

# Add large file support
add_compile_options(${LFS_COMPILE_OPTIONS})
add_definitions(${LFS_DEFINITIONS})
link_libraries(${LFS_LIBRARIES})

# Set compiler flags
set(CMAKE_CXX_STANDARD 11)
set(CMAKE_CXX_STANDARD_REQUIRED ON)
set(CMAKE_VISIBILITY_INLINES_HIDDEN 1)

add_optional_compile_options(Wall)
add_optional_compile_options(Wextra)
add_optional_compile_options(Wcast-align)
add_optional_compile_options(Wlogical-op)
add_optional_compile_options(Wredundant-decls)
add_optional_compile_options(Wmissing-declarations)
add_optional_compile_options(Wunsafe-loop-optimizations)
add_optional_compile_options(Wctor-dtor-privacy)
add_optional_compile_options(Wdisabled-optimization)
add_optional_compile_options(Winit-self)
add_optional_compile_options(Wmissing-include-dirs)
add_optional_compile_options(Wnoexcept)
add_optional_compile_options(Wsign-promo)
add_optional_compile_options(Wundef)

# apt-ftparchive dependencies
find_package(BerkeleyDB REQUIRED)
if (BERKELEY_DB_FOUND)
  set(HAVE_BDB 1)
endif()

find_package(GnuTLS REQUIRED)
if (GNUTLS_FOUND)
  set(HAVE_GNUTLS 1)
endif()

# (De)Compressor libraries
find_package(ZLIB REQUIRED)
if (ZLIB_FOUND)
  set(HAVE_ZLIB 1)
endif()


find_package(BZip2 REQUIRED)
if (BZIP2_FOUND)
  set(HAVE_BZ2 1)
endif()

find_package(LZMA REQUIRED)
if (LZMA_FOUND)
  set(HAVE_LZMA 1)
endif()


find_package(LZ4 REQUIRED)
if (LZ4_FOUND)
  set(HAVE_LZ4 1)
endif()

find_package(Zstd)
if (ZSTD_FOUND)
  set(HAVE_ZSTD 1)
endif()


find_package(Udev)
if (UDEV_FOUND)
  set(HAVE_UDEV 1)
endif()

find_package(Systemd)
if (SYSTEMD_FOUND)
  set(HAVE_SYSTEMD 1)
endif()

find_package(Seccomp)
if (SECCOMP_FOUND)
  set(HAVE_SECCOMP 1)
endif()

# Mount()ing and stat()ing and friends
check_symbol_exists(statfs sys/vfs.h HAVE_VFS_H)
check_include_files(sys/params.h HAVE_PARAMS_H)
check_symbol_exists(statfs sys/mount.h HAVE_MOUNT_H)
if (NOT HAVE_VFS_H AND NOT HAVE_MOUNT_H)
  message(FATAL_ERROR "Can find neither statvfs() nor statfs()")
endif()

check_function_exists(statvfs HAVE_STATVFS)
if (NOT HAVE_STATVFS)
  configure_file(CMake/statvfs.h.in ${PROJECT_BINARY_DIR}/include/sys/statvfs.h COPYONLY)
endif()

CHECK_STRUCT_HAS_MEMBER("struct statfs" f_type sys/vfs.h HAVE_STRUCT_STATFS_F_TYPE)

# Other checks
check_function_exists(getresuid HAVE_GETRESUID)
check_function_exists(getresgid HAVE_GETRESGID)
check_function_exists(setresuid HAVE_SETRESUID)
check_function_exists(setresgid HAVE_SETRESGID)
check_function_exists(ptsname_r HAVE_PTSNAME_R)
check_function_exists(timegm HAVE_TIMEGM)
test_big_endian(WORDS_BIGENDIAN)

# FreeBSD
add_definitions(-D_WITH_GETLINE=1)

CHECK_INCLUDE_FILES(machine/endian.h HAVE_MACHINE_ENDIAN_H)
CHECK_INCLUDE_FILES(sys/endian.h HAVE_SYS_ENDIAN_H)
CHECK_INCLUDE_FILES(endian.h HAVE_ENDIAN_H)
if (NOT HAVE_ENDIAN_H)
  if (HAVE_MACHINE_ENDIAN_H OR HAVE_SYS_ENDIAN_H)
    configure_file(CMake/endian.h.in ${PROJECT_BINARY_DIR}/include/endian.h)
  else()
    message(FATAL_ERROR "Cannot find endian.h")
  endif()
endif()


include(CheckTypeSize)
set(CMAKE_EXTRA_INCLUDE_FILES "signal.h")
check_type_size("sig_t" SIG_T LANGUAGE "CXX")
check_type_size("sighandler_t" SIGHANDLER_T LANGUAGE "CXX")
set(CMAKE_EXTRA_INCLUDE_FILES)
if (NOT HAVE_SIGHANDLER_T)
  if (HAVE_SIG_T)
    add_definitions(-Dsighandler_t=sig_t)
  else()
    message(FATAL_ERROR "Platform defines neither sig_t nor sighandler_t")
  endif()
endif()

# Handle resolving
check_function_exists(res_init HAVE_LIBC_RESOLV)
if(HAVE_LIBC_RESOLV)
    set(RESOLV_LIBRARIES)
else()
    set(RESOLV_LIBRARIES -lresolv)
endif()

# Configure some variables like package, version and architecture.
set(PACKAGE ${PROJECT_NAME})
set(PACKAGE_MAIL "APT Development Team <deity@lists.debian.org>")
set(PACKAGE_VERSION "1.6.12")

if (NOT DEFINED DPKG_DATADIR)
  execute_process(COMMAND ${PERL_EXECUTABLE} -MDpkg -e "print $Dpkg::DATADIR;"
                  OUTPUT_VARIABLE DPKG_DATADIR_CMD OUTPUT_STRIP_TRAILING_WHITESPACE)
  message(STATUS "Found dpkg data dir: ${DPKG_DATADIR_CMD}")
  set(DPKG_DATADIR "${DPKG_DATADIR_CMD}" CACHE PATH "dpkg data directory")
endif()
if (NOT DEFINED COMMON_ARCH)
  execute_process(COMMAND dpkg-architecture -qDEB_HOST_ARCH
                  OUTPUT_VARIABLE COMMON_ARCH OUTPUT_STRIP_TRAILING_WHITESPACE)
endif()
if (NOT DEFINED ROOT_GROUP)
  execute_process(COMMAND id -gn root
                  OUTPUT_VARIABLE ROOT_GROUP OUTPUT_STRIP_TRAILING_WHITESPACE)
  message(STATUS "Found root group: ${ROOT_GROUP}")
endif()
set(ROOT_GROUP "${ROOT_GROUP}" CACHE STRING "Group of root (e.g.: wheel or root)")

# Set various directories
set(STATE_DIR "${CMAKE_INSTALL_FULL_LOCALSTATEDIR}/lib/apt" CACHE PATH "Your /var/lib/apt")
set(CACHE_DIR "${CMAKE_INSTALL_FULL_LOCALSTATEDIR}/cache/apt" CACHE PATH "Your /var/cache/apt")
set(LOG_DIR "${CMAKE_INSTALL_FULL_LOCALSTATEDIR}/log/apt" CACHE PATH "Your /var/log/apt")
set(CONF_DIR "${CMAKE_INSTALL_FULL_SYSCONFDIR}/apt" CACHE PATH "Your /etc/apt")
set(LIBEXEC_DIR "${CMAKE_INSTALL_FULL_LIBEXECDIR}/apt" CACHE PATH "Your /usr/libexec/apt")
set(BIN_DIR "${CMAKE_INSTALL_FULL_BINDIR}")


# Configure our configuration headers (config.h and apti18n.h)
configure_file(CMake/config.h.in ${PROJECT_BINARY_DIR}/include/config.h)
configure_file(CMake/apti18n.h.in ${PROJECT_BINARY_DIR}/include/apti18n.h)

# Add our subdirectories
add_subdirectory(vendor)
add_subdirectory(apt-pkg)
add_subdirectory(apt-private)
add_subdirectory(apt-inst)
add_subdirectory(cmdline)
add_subdirectory(completions)
add_subdirectory(doc)
add_subdirectory(dselect)
add_subdirectory(ftparchive)
add_subdirectory(methods)
add_subdirectory(test)

if (USE_NLS)
add_subdirectory(po)

# Link update-po4a into the update-po target
add_dependencies(update-po update-po4a)
endif()

# Create our directories.
install_empty_directories(
  ${CONF_DIR}/apt.conf.d
  ${CONF_DIR}/auth.conf.d
  ${CONF_DIR}/preferences.d
  ${CONF_DIR}/sources.list.d
  ${CONF_DIR}/trusted.gpg.d
  ${CACHE_DIR}/archives/partial
  ${STATE_DIR}/lists/partial
  ${STATE_DIR}/mirrors/partial
  ${STATE_DIR}/periodic
  ${LOG_DIR}
)

=== debian/changelog ===
apt (1.6.12+9.0trisquel1) etiona; urgency=medium

  * Ubuntu keyring replaced with Trisquel's

 -- Trisquel GNU/Linux developers <trisquel-devel@listas.trisquel.info>  Tue, 12 Nov 2019 11:11:38 +0000

## apt 1.6.14+9.0trisquel1

=== CMakeLists.txt ===
--- 
+++ 
@@ -187,7 +187,7 @@
 # Configure some variables like package, version and architecture.
 set(PACKAGE ${PROJECT_NAME})
 set(PACKAGE_MAIL "APT Development Team <deity@lists.debian.org>")
-set(PACKAGE_VERSION "1.6.12")
+set(PACKAGE_VERSION "1.6.14")
 
 if (NOT DEFINED DPKG_DATADIR)
   execute_process(COMMAND ${PERL_EXECUTABLE} -MDpkg -e "print $Dpkg::DATADIR;"

=== debian/changelog ===
apt (1.6.14+9.0trisquel1) etiona; urgency=medium

  * Ubuntu keyring replaced with Trisquel's

 -- Trisquel GNU/Linux developers <trisquel-devel@listas.trisquel.info>  Fri, 02 Jul 2021 00:36:41 +0000

apt (1.6.14) bionic; urgency=medium

  * RunScripts: Do not reset SIGQUIT and SIGINT to SIG_DFL (LP: #1898026)
  * Fix downloads of unsized files that are largest in pipeline (LP: #1921626),
    and warn about packages without size (option Acquire::AllowUnsizedPackages)
  * JSON hooks 0.2 and assorted JSON bugfixes (LP: #1926150)
    - encoder fixes:
      + json: Escape strings using \u escape sequences, add test
      + json: Actually pop states
      + json: Encode NULL strings as null
    - json: Flush standard file descriptors before calling hooks
      (this avoids output from hooks in middle of apt output)
    - Minor fixes to include and C++ namespaces
    - non-code changes:
      + test/json: Make the test hook more reliable
      + Fix a typo in json-hooks-protocol.md (thanks to Brian Murray)
    - semantic changes (new fields, hooks, and protocol 0.2):
      + json: Add origins fields to version
      + upgrade: Add JSON hook support (AptCli::Hooks::Upgrade)
      + json: Add `package-list` and `statistics` install hooks
      + json: Hook protocol 0.2 (added upgrade,downgrade,reinstall modes)
    + Fix a typo in json-hooks-protocol.md (thanks to Brian Murray)
  * Avoid infinite loop on EOF on media change prompt (LP: #1928687)

 -- Julian Andres Klode <juliank@ubuntu.com>  Tue, 15 Jun 2021 16:12:38 +0200

apt (1.6.13) bionic; urgency=medium

  [ David Kalnischkies ]
  * Fix incorrect base64 encoding due to int promotion (LP: #1916050)
  * Harden test for no new acquires after transaction abort (Closes: #984966)
    (LP: #1918920)

  [ Julian Andres Klode ]
  * Implement update --error-on=any (Closes: #594813) (LP: #1693900)
  * Include all translations when building the cache (LP: #1907850)
  * Add basic support for the Protected field
  * Do not require force-loopbreak on Important packages
    (Closes: #983014) (LP: #1916725)
  * Protect currently running kernel at run-time (LP: #1615381)
  * Make ADDARG{,C}() macros expand to single statements
  * Improve immediate configuration handling (LP: #1871268)
    - Do not immediately configure m-a: same packages in lockstep
    - Ignore failures from immediate configuration. This does not change the
      actual installation ordering - we never passed the return code to the
      caller and installation went underway anyway if it could be ordered at a
      later stage, this just removes spurious after-the-fact errors.
      (Closes: #973305, #188161, #211075, #649588)
  * Default Acquire::AllowReleaseInfoChange::Suite to "true" (Closes: #931566)
    (LP: #1918907)

  [ Balint Reczey ]
  * Set LC_ALL=C.UTF-8 for unattended-upgrades environment when parsing its --help
    (LP: #1806076)

 -- Julian Andres Klode <juliank@ubuntu.com>  Fri, 12 Mar 2021 14:09:15 +0100

=== debian/control ===
Source: apt
Section: admin
Priority: important
Maintainer: Trisquel Developers <ubuntu-devel-discuss@lists.ubuntu.com>
XSBC-Original-Maintainer: APT Development Team <deity@lists.debian.org>
Uploaders: Michael Vogt <mvo@debian.org>,
           Julian Andres Klode <jak@debian.org>,
           David Kalnischkies <donkult@debian.org>
Rules-Requires-Root: no
Standards-Version: 4.1.1
Build-Depends: cmake (>= 3.4),
               debhelper (>= 10),
               docbook-xml,
               docbook-xsl,
               dpkg-dev (>= 1.17.14),
               g++ (>= 4:7),
               gettext (>= 0.12),
               googletest <!nocheck> | libgtest-dev <!nocheck>,
               libbz2-dev,
               libcurl4-gnutls-dev (>= 7.19.4~),
               libdb-dev,
               libgnutls28-dev (>= 3.4.6),
               liblz4-dev (>= 0.0~r126),
               liblzma-dev,
               libseccomp-dev [amd64 arm64 armel armhf i386 mips mips64el mipsel ppc64el s390x hppa powerpc powerpcspe ppc64 x32],
               libsystemd-dev [linux-any],
               libudev-dev [linux-any],
               libzstd-dev (>= 1.0),
               pkg-config,
               po4a (>= 0.34-2),
               xsltproc,
               zlib1g-dev
Build-Depends-Indep: doxygen, graphviz, w3m
Vcs-Git: https://salsa.debian.org/apt-team/apt.git
Vcs-Browser: https://salsa.debian.org/apt-team/apt

Package: apt
Architecture: any
Depends: adduser,
         gpgv | gpgv2 | gpgv1,
         ${apt:keyring},
         ${misc:Depends},
         ${shlibs:Depends}
Replaces: apt-transport-https (<< 1.5~alpha4~), apt-utils (<< 1.3~exp2~)
Breaks: apt-transport-https (<< 1.5~alpha4~),
        apt-utils (<< 1.3~exp2~),
        aptitude (<< 0.8.10)
Provides: apt-transport-https (= ${binary:Version})
Recommends: ca-certificates
Suggests: apt-doc,
          aptitude | synaptic | wajig,
          dpkg-dev (>= 1.17.2),
          gnupg | gnupg2 | gnupg1,
          powermgmt-base
Description: commandline package manager
 This package provides commandline tools for searching and
 managing as well as querying information about packages
 as a low-level access to all features of the libapt-pkg library.
 .
 These include:
  * apt-get for retrieval of packages and information about them
    from authenticated sources and for installation, upgrade and
    removal of packages together with their dependencies
  * apt-cache for querying available information about installed
    as well as installable packages
  * apt-cdrom to use removable media as a source for packages
  * apt-config as an interface to the configuration settings
  * apt-key as an interface to manage authentication keys

Package: libapt-pkg5.0
Architecture: any
Multi-Arch: same
Priority: optional
Pre-Depends: ${misc:Pre-Depends}
Depends: ${misc:Depends}, ${shlibs:Depends}
Breaks: appstream (<< 0.9.0-3~), apt (<< 1.1~exp14), libapt-inst1.5 (<< 0.9.9~)
Recommends: apt (>= ${binary:Version})
Section: libs
Provides: libapt-pkg (= ${binary:Version})
Description: package management runtime library
 This library provides the common functionality for searching and
 managing packages as well as information about packages.
 Higher-level package managers can depend upon this library.
 .
 This includes:
  * retrieval of information about packages from multiple sources
  * retrieval of packages and all dependent packages
    needed to satisfy a request either through an internal
    solver or by interfacing with an external one
  * authenticating the sources and validating the retrieved data
  * installation and removal of packages in the system
  * providing different transports to retrieve data over cdrom, ftp,
    http(s), rsh as well as an interface to add more transports like
    tor+http(s) (apt-transport-tor).

Package: libapt-inst2.0
Architecture: any
Multi-Arch: same
Priority: optional
Pre-Depends: ${misc:Pre-Depends}
Depends: ${misc:Depends}, ${shlibs:Depends}
Section: libs
Provides: libapt-inst (= ${binary:Version})
Description: deb package format runtime library
 This library provides methods to query and extract information
 from deb packages. This includes the control data and the package
 file content.

Package: apt-doc
Architecture: all
Priority: optional
Depends: ${misc:Depends}
Section: doc
Description: documentation for APT
 This package contains the user guide and offline guide for various
 APT tools which are provided in a html and a text-only version.

Package: libapt-pkg-dev
Architecture: any
Multi-Arch: same
Priority: optional
Pre-Depends: ${misc:Pre-Depends}
Depends: libapt-inst (= ${binary:Version}),
         libapt-pkg (= ${binary:Version}),
         zlib1g-dev,
         ${misc:Depends}
Section: libdevel
Description: development files for APT's libapt-pkg and libapt-inst
 This package contains the header files and libraries for
 developing with APT's libapt-pkg Debian package manipulation
 library and the libapt-inst deb/tar/ar library.

Package: libapt-pkg-doc
Architecture: all
Priority: optional
Depends: ${misc:Depends}
Section: doc
Description: documentation for APT development
 This package contains documentation for development of the APT
 Debian package manipulation program and its libraries.
 .
 This includes the source code documentation generated by doxygen
 in html format.

Package: apt-utils
Architecture: any
Depends: apt (= ${binary:Version}), ${misc:Depends}, ${shlibs:Depends}
Description: package management related utility programs
 This package contains some less used commandline utilities related
 to package management with APT.
 .
  * apt-extracttemplates is used by debconf to prompt for configuration
    questions before installation.
  * apt-ftparchive is used to create Packages and other index files
    needed to publish an archive of Debian packages
  * apt-sortpkgs is a Packages/Sources file normalizer.

Package: apt-transport-https
Architecture: all
Depends: apt (>= 1.5~alpha4), ${misc:Depends}
Priority: optional
Section: oldlibs
Description: transitional package for https support
 This is a dummy transitional package - https support has been moved into
 the apt package in 1.5. It can be safely removed.

## apt 1.6.17

=== CMakeLists.txt ===
--- 
+++ 
@@ -187,7 +187,7 @@
 # Configure some variables like package, version and architecture.
 set(PACKAGE ${PROJECT_NAME})
 set(PACKAGE_MAIL "APT Development Team <deity@lists.debian.org>")
-set(PACKAGE_VERSION "1.6.14")
+set(PACKAGE_VERSION "1.6.17")
 
 if (NOT DEFINED DPKG_DATADIR)
   execute_process(COMMAND ${PERL_EXECUTABLE} -MDpkg -e "print $Dpkg::DATADIR;"

=== vendor/CMakeLists.txt ===
# Determine the current vendor, export to CURRENT_VENDOR
if (NOT DEFINED CURRENT_VENDOR)
    execute_process(COMMAND ${CMAKE_CURRENT_SOURCE_DIR}/getinfo current
                    OUTPUT_VARIABLE CURRENT_VENDOR_OUT OUTPUT_STRIP_TRAILING_WHITESPACE)

    set(CURRENT_VENDOR "${CURRENT_VENDOR_OUT}" CACHE STRING "Select the system vendor")
    message(STATUS "Detected vendor: ${CURRENT_VENDOR_OUT}")
else()
    message(STATUS "Detected vendor: ${CURRENT_VENDOR} (cached)")
endif()

# Handle sources.list example
add_vendor_file(OUTPUT sources.list
                INPUT "${CURRENT_VENDOR}/sources.list.in"
                MODE 644
                VARIABLES sourceslist-list-format
                          debian-stable-codename
                          debian-oldstable-codename
                          debian-testing-codename
                          ubuntu-codename
                          current-codename)
install(FILES ${CMAKE_CURRENT_BINARY_DIR}/sources.list
        DESTINATION ${CMAKE_INSTALL_DOCDIR}/examples)

# Handle apt.conf snippets
file(GLOB conffiles ${CURRENT_VENDOR}/apt.conf-*)
foreach(file ${conffiles})
    file(RELATIVE_PATH confname ${CMAKE_CURRENT_SOURCE_DIR}/${CURRENT_VENDOR}/ ${file})
    string(REPLACE "apt.conf-" "" confname "${confname}")
    install(FILES "${file}"
            DESTINATION "${CMAKE_INSTALL_SYSCONFDIR}/apt/apt.conf.d/"
            RENAME "${confname}")
endforeach()

if (EXISTS "${CURRENT_VENDOR}/CMakeLists.txt")
    add_subdirectory(${CURRENT_VENDOR})
endif()

=== test/libapt/CMakeLists.txt ===
find_path(GTEST_ROOT src/gtest.cc
   /usr/src/googletest/googletest
   /usr/src/gtest
)
find_package(GTest)
set(GTEST_DEPENDENCIES)

if(NOT GTEST_FOUND AND EXISTS ${GTEST_ROOT})
   include(ExternalProject)
   ExternalProject_Add(gtest PREFIX ./gtest
                             SOURCE_DIR ${GTEST_ROOT}
                             INSTALL_COMMAND true)

   link_directories(${CMAKE_CURRENT_BINARY_DIR}/gtest/src/gtest-build)

   set(GTEST_LIBRARIES "-lgtest")
   set(GTEST_DEPENDENCIES "gtest")
   set(GTEST_FOUND TRUE)
   find_path(GTEST_INCLUDE_DIRS NAMES gtest/gtest.h PATHS ${GTEST_ROOT}/include)

   message(STATUS "Found GTest at ${GTEST_ROOT}, headers at ${GTEST_INCLUDE_DIRS}")
endif()

if(GTEST_FOUND)
   # Definition of the C++ files used to build the test binary - note that this
   # is expanded at CMake time, so you have to rerun cmake if you add or remove
   # a file (you can just run cmake . in the build directory)
   file(GLOB files gtest_runner.cc *-helpers.cc *_test.cc)
   add_executable(libapt_test ${files})
   target_include_directories(libapt_test PRIVATE ${GTEST_INCLUDE_DIRS})
   target_link_libraries(libapt_test ${GTEST_LIBRARIES} ${CMAKE_THREAD_LIBS_INIT} apt-private apt-inst)
   if (GTEST_DEPENDENCIES)
      add_dependencies(libapt_test ${GTEST_DEPENDENCIES})
   endif()
   add_test(NAME AptTests
            COMMAND libapt_test
            WORKING_DIRECTORY ${CMAKE_CURRENT_SOURCE_DIR})
endif()

=== debian/changelog ===
apt (1.6.17) bionic; urgency=medium

  * Bump cache minor version for kernel collection.
    The previous update introduced the new kernel autoremoval code which
    collects kernels in the cache as providers of a $kernel package.
    We need to bump the cache minor version for this as otherwise the
    $kernel package might not exist and all kernels end up autoremovable
    until a package got installed or sources updated.

 -- Julian Andres Klode <juliank@ubuntu.com>  Fri, 12 Aug 2022 12:38:33 +0200

apt (1.6.16) bionic; urgency=medium

  * postinst: Do not run removed kernel postinst.d script (LP: #1974456)

 -- Julian Andres Klode <juliank@ubuntu.com>  Tue, 02 Aug 2022 11:15:34 +0200

apt (1.6.15) bionic; urgency=medium

  * Revert "Protect currently running kernel at run-time"
  * Backport Determine autoremovable kernels at run-time (LP: #1615381) as of
    2.4.5; including the change to only protect two kernels, not last installed
    one (LP: #1968154)

 -- Julian Andres Klode <juliank@ubuntu.com>  Fri, 29 Apr 2022 10:14:33 +0200

=== debian/control ===
--- 
+++ 
@@ -1,7 +1,7 @@
 Source: apt
 Section: admin
 Priority: important
-Maintainer: Trisquel Developers <ubuntu-devel-discuss@lists.ubuntu.com>
+Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
 XSBC-Original-Maintainer: APT Development Team <deity@lists.debian.org>
 Uploaders: Michael Vogt <mvo@debian.org>,
            Julian Andres Klode <jak@debian.org>,

=== debian/rules ===
#!/usr/bin/make -f
# Copyright (C) 2009, 2016 Julian Andres Klode <jak@debian.org>
#
# Free Software, licensed under the GPL-2 or (at your option) any later version.
export DEB_LDFLAGS_MAINT_APPEND := -Wl,--as-needed
export DEB_BUILD_MAINT_OPTIONS := hardening=+all

# do not fail as we are just experimenting with symbol files for now
export DPKG_GENSYMBOLS_CHECK_LEVEL=0

export CTEST_OUTPUT_ON_FAILURE=1

%:
	dh $@

override_dh_clean:
	cp COPYING debian/copyright
	dh_clean

override_dh_install-indep:
	dh_install --list-missing

override_dh_install-arch:
	dh_install -papt-utils -X/dump
	dh_install -papt -Xmethods/curl -Xmethods/curl+https -Xmethods/curl+http
	dh_install --remaining --list-missing
	install -m 644 debian/apt.conf.autoremove debian/apt/etc/apt/apt.conf.d/01autoremove

override_dh_gencontrol:
	dh_gencontrol -- -Vapt:keyring="$(shell ./vendor/getinfo keyring-package)"

override_dh_installcron:
	dh_installcron --name=apt-compat

override_dh_systemd_start:
	# Do not restart "apt-daily.service" because this script runs
	# unattended-upgrades. So if apt itself is upgraded as part of
	# an unattended-upgrades run it would kill itself
	dh_systemd_start -papt apt-daily.timer apt-daily-upgrade.timer
	dh_systemd_start --remaining-packages

override_dh_auto_configure-arch: flags=-DWITH_DOC=OFF
override_dh_auto_configure-indep: flags=-DWITH_DOC=ON
override_dh_auto_configure-arch override_dh_auto_configure-indep:
	dh_auto_configure -- $(flags)

override_dh_auto_build:
	dh_auto_build -- -O

## apt 1.6.17+9.0trisquel1

=== debian/changelog ===
apt (1.6.17+9.0trisquel1) etiona; urgency=medium

  * Ubuntu keyring replaced with Trisquel's

 -- Trisquel GNU/Linux developers <trisquel-devel@listas.trisquel.info>  Wed, 12 Apr 2023 09:39:20 +0000

=== debian/control ===
--- 
+++ 
@@ -1,7 +1,7 @@
 Source: apt
 Section: admin
 Priority: important
-Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
+Maintainer: Trisquel GNU/Linux developers <trisquel-devel@listas.trisquel.info>
 XSBC-Original-Maintainer: APT Development Team <deity@lists.debian.org>
 Uploaders: Michael Vogt <mvo@debian.org>,
            Julian Andres Klode <jak@debian.org>,

## apt 1.7.0~rc2

=== CMakeLists.txt ===
--- 
+++ 
@@ -68,6 +68,7 @@
 add_optional_compile_options(Wnoexcept)
 add_optional_compile_options(Wsign-promo)
 add_optional_compile_options(Wundef)
+add_optional_compile_options(Wdouble-promotion)
 
 # apt-ftparchive dependencies
 find_package(BerkeleyDB REQUIRED)
@@ -112,11 +113,6 @@
 find_package(Udev)
 if (UDEV_FOUND)
   set(HAVE_UDEV 1)
-endif()
-
-find_package(Systemd)
-if (SYSTEMD_FOUND)
-  set(HAVE_SYSTEMD 1)
 endif()
 
 find_package(Seccomp)
@@ -187,7 +183,7 @@
 # Configure some variables like package, version and architecture.
 set(PACKAGE ${PROJECT_NAME})
 set(PACKAGE_MAIL "APT Development Team <deity@lists.debian.org>")
-set(PACKAGE_VERSION "1.6.17")
+set(PACKAGE_VERSION "1.7.0~rc2")
 
 if (NOT DEFINED DPKG_DATADIR)
   execute_process(COMMAND ${PERL_EXECUTABLE} -MDpkg -e "print $Dpkg::DATADIR;"
@@ -242,7 +238,6 @@
 # Create our directories.
 install_empty_directories(
   ${CONF_DIR}/apt.conf.d
-  ${CONF_DIR}/auth.conf.d
   ${CONF_DIR}/preferences.d
   ${CONF_DIR}/sources.list.d
   ${CONF_DIR}/trusted.gpg.d

=== debian/changelog ===
apt (1.7.0~rc2) unstable; urgency=medium

  [ David Kalnischkies ]
  * Deal with descriptions embedded in displayed record correctly
    (Closes: #909155)

 -- Julian Andres Klode <jak@debian.org>  Thu, 20 Sep 2018 21:03:54 +0200

apt (1.7.0~rc1) unstable; urgency=medium

  [ Laurent Bigonville ]
  * fr.po: Do not translate the apt-ftparchive commands (Closes: #907481)

  [ David Kalnischkies ]
  * Don't use invalid iterator in Fallback-Of handling.
    Thanks to David Binderman for reporting
  * Process status-fd completely before finishing dpkg call
  * Don't expect duplicated dpkg status-fd messages
  * Reorder progress report messages
  * Show all architectures in 'apt list' output (Closes: #908218)

  [ Julian Andres Klode ]
  * http: Stop pipeline after close only if it was not filled before

 -- Julian Andres Klode <jak@debian.org>  Tue, 18 Sep 2018 16:12:38 +0200

apt (1.7.0~alpha3) experimental; urgency=medium

  [ David Kalnischkies ]
  * SECURITY UPDATE: Fallback in the mirror method allowed a later server to
    supply any InRelease file without it having to be verified. (LP: #1787752)
    - apt-pkg/acquire-item.cc:: clear alternative URIs for mirror:// between steps
    - CVE-2018-0501
    - https://mirror.fail/

  [ Jean-Ralph Aviles ]
  * Add trailing newline to output of edit-sources.

  [ Julian Andres Klode ]
  * Add support for dpkg frontend lock (Closes: #869546)
  * Set DPKG_FRONTEND_LOCKED as needed when doing selection changes
  * Update symbols files

  [ Boyuan Yang ]
  * Simplified Chinese program translation update (Closes: #903695)

  [ David Kalnischkies ]
  * Report (soon) worthless keys if gpg uses fpr for GOODSIG

 -- Julian Andres Klode <jak@debian.org>  Mon, 20 Aug 2018 17:44:19 +0200

apt (1.7.0~alpha2) experimental; urgency=medium

  * Handle JSON hooks that just close the file/exit and fix some other errors
    (LP: #1776218)
  * Use cheaper entropy source for randomizing items to fetch

 -- Julian Andres Klode <jak@debian.org>  Mon, 09 Jul 2018 16:02:45 +0200

apt (1.7.0~alpha1) experimental; urgency=medium

  [ Julian Andres Klode ]
  * CMake: Fix builds without zstd
  * apt.conf.autoremove: Catch some new Ubuntu module packages
  * Fix build with new gtest (Closes: #897149)
  * tests: Do not expect requested-by if sudo was invoked by root
  * Run tests on GitLab CI
  * Handle a missed case of timed out ip addresses (LP: #1766542)
  * Lower default timeout from 120s to 30s
  * apt-key: Pass all instead of gpg-agent to gpgconf --kill (LP: #1773992)
  * Fix lock counting in debSystem
  * CI: Export DEBIAN_FRONTEND=noninteractive in all CI environments
  * Ensure that we are online in apt-daily-upgrade.service (LP: #1723761)
  * gitlab-ci: chmod 755 /root

  [ David Kalnischkies ]
  * move special READMEs into doc/ and format as md
  * Add boilerplate plural form to po/apt-all.pot
  * don't try SRV requests based on IP addresses
  * use 127.0.0.1 instead of localhost as default Tor proxy
  * Extend apt build-dep pkg/release to switch dep as needed
  * Support release selector for volatile files as well
  * Start pkg records for deb files with dpkg output
  * Deprecate buggy/incorrect Rls/PkgFile::IsOk methods
  * Support --with-source in show & search commands
  * Support local files as arguments in show command (Closes: 883206)
  * Drop alternative URIs we got a hash-based fail from
  * Handle by-hash URI construction more centrally
  * Don't force the same mirror for by-hash URIs
  * Reword error for timed out read/write on SOCKS proxy (Closes: #898886)
  * Don't show acquire warning for "hidden" components (Closes: #879591)
  * Use a steady clock source for progress reporting
  * Use steady clock source for bandwidth limitation

  [ Guillem Jover ]
  * Remove obsolete RCS keywords
  * Normalize authors through a mailmap file
  * po: Fill Project-Id-Version with correct project id and version
  * po: Fix translated string not matching format string arguments
  * po: Fix Language field to match actual locale
  * po: Remove spurious text in Plural-Forms field
  * po: Add missing Plural-Forms fields

  [ Filipe Brandenburger ]
  * Update .gitignore
  * Increase debug verbosity in `apt-get autoremove`
  * Extend test-apt-get-autoremove to check debug output

  [ annadane ]
  * Add verb 'be' to NEWS entry for 1.5~beta1 (Closes: 892792)

  [ Алексей Шилин ]
  * Russian program translation update (Closes: 898797)

  [ Frans Spiesschaert ]
  * Dutch program translation update (Closes: #900589)
  * Dutch manpage translation update (Closes: #900602)

 -- Julian Andres Klode <jak@debian.org>  Mon, 25 Jun 2018 17:12:30 +0200

apt (1.7.0~alpha0) experimental; urgency=medium

  [ David Kalnischkies ]
  * mention mirror method in sources.list (Closes: 679580)

  [ Julian Andres Klode ]
  * Build with cmake+ninja instead of cmake+make
  * Make libzstd optional in CMakeLists.txt, to aid cross-building
  * Run travis against debian:testing again, keep shippable at bionic

 -- Julian Andres Klode <jak@debian.org>  Wed, 18 Apr 2018 17:22:19 +0200

## apt 1.7.0

=== debian/changelog ===
apt (1.7.0) unstable; urgency=medium

  [ Julian Andres Klode ]
  * Fix calculation of elapsed usec in downloads
  * pkgCacheFile: Only unlock in destructor if locked before (LP: #1794053)
  * Set DPKG_FRONTEND_LOCKED when running {pre,post}-invoke scripts.
    Some post-invoke scripts install packages, which fails because
    the environment variable is not set. This sets the variable for
    all three kinds of scripts {pre,post-}invoke and pre-install-pkgs,
    but we will only allow post-invoke at a later time.
  * prepare-release: Fix last-modification detection for manpages

  [ David Kalnischkies ]
  * Show APT::Compressor example in apt.conf(5) (Closes: #909712)

  [ Muhamed Huseinbašić ]
  * apt-mark: showhold: typo-fix (package -> packages)

 -- Julian Andres Klode <jak@debian.org>  Sun, 07 Oct 2018 07:56:02 +0200

=== debian/control ===
--- 
+++ 
@@ -1,15 +1,14 @@
 Source: apt
 Section: admin
 Priority: important
-Maintainer: Trisquel GNU/Linux developers <trisquel-devel@listas.trisquel.info>
-XSBC-Original-Maintainer: APT Development Team <deity@lists.debian.org>
+Maintainer: APT Development Team <deity@lists.debian.org>
 Uploaders: Michael Vogt <mvo@debian.org>,
            Julian Andres Klode <jak@debian.org>,
            David Kalnischkies <donkult@debian.org>
 Rules-Requires-Root: no
 Standards-Version: 4.1.1
 Build-Depends: cmake (>= 3.4),
-               debhelper (>= 10),
+               debhelper (>= 11.2~),
                docbook-xml,
                docbook-xsl,
                dpkg-dev (>= 1.17.14),
@@ -23,9 +22,9 @@
                liblz4-dev (>= 0.0~r126),
                liblzma-dev,
                libseccomp-dev [amd64 arm64 armel armhf i386 mips mips64el mipsel ppc64el s390x hppa powerpc powerpcspe ppc64 x32],
-               libsystemd-dev [linux-any],
                libudev-dev [linux-any],
                libzstd-dev (>= 1.0),
+               ninja-build,
                pkg-config,
                po4a (>= 0.34-2),
                xsltproc,

## apt 1.7.0ubuntu0.1

=== CMakeLists.txt ===
--- 
+++ 
@@ -183,7 +183,7 @@
 # Configure some variables like package, version and architecture.
 set(PACKAGE ${PROJECT_NAME})
 set(PACKAGE_MAIL "APT Development Team <deity@lists.debian.org>")
-set(PACKAGE_VERSION "1.7.0~rc2")
+set(PACKAGE_VERSION "1.7.0")
 
 if (NOT DEFINED DPKG_DATADIR)
   execute_process(COMMAND ${PERL_EXECUTABLE} -MDpkg -e "print $Dpkg::DATADIR;"

=== debian/changelog ===
apt (1.7.0ubuntu0.1) cosmic-security; urgency=medium

  * SECURITY UPDATE: content injection in http method (CVE-2019-3462)
    (LP: #1812353)

 -- Julian Andres Klode <juliank@ubuntu.com>  Fri, 18 Jan 2019 11:38:56 +0100

=== debian/control ===
--- 
+++ 
@@ -1,7 +1,8 @@
 Source: apt
 Section: admin
 Priority: important
-Maintainer: APT Development Team <deity@lists.debian.org>
+Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
+XSBC-Original-Maintainer: APT Development Team <deity@lists.debian.org>
 Uploaders: Michael Vogt <mvo@debian.org>,
            Julian Andres Klode <jak@debian.org>,
            David Kalnischkies <donkult@debian.org>

## apt 1.7.5

=== CMakeLists.txt ===
--- 
+++ 
@@ -115,6 +115,11 @@
   set(HAVE_UDEV 1)
 endif()
 
+find_package(Systemd)
+if (SYSTEMD_FOUND)
+  set(HAVE_SYSTEMD 1)
+endif()
+
 find_package(Seccomp)
 if (SECCOMP_FOUND)
   set(HAVE_SECCOMP 1)
@@ -183,7 +188,7 @@
 # Configure some variables like package, version and architecture.
 set(PACKAGE ${PROJECT_NAME})
 set(PACKAGE_MAIL "APT Development Team <deity@lists.debian.org>")
-set(PACKAGE_VERSION "1.7.0")
+set(PACKAGE_VERSION "1.7.5")
 
 if (NOT DEFINED DPKG_DATADIR)
   execute_process(COMMAND ${PERL_EXECUTABLE} -MDpkg -e "print $Dpkg::DATADIR;"
@@ -238,6 +243,7 @@
 # Create our directories.
 install_empty_directories(
   ${CONF_DIR}/apt.conf.d
+  ${CONF_DIR}/auth.conf.d
   ${CONF_DIR}/preferences.d
   ${CONF_DIR}/sources.list.d
   ${CONF_DIR}/trusted.gpg.d

=== debian/changelog ===
apt (1.7.5) cosmic; urgency=medium

  * Add test case for local-only packages pinned to never
  * Prevent shutdown while running dpkg (LP: #1820886)
  * Add linux-{buildinfo,image-unsigned,source} versioned kernel pkgs
    (LP: #1821640)

 -- Julian Andres Klode <juliank@ubuntu.com>  Tue, 07 May 2019 11:04:15 +0200

apt (1.7.4) cosmic; urgency=medium

  * Fix name of APT::Update::Post-Invoke-Stats (was ...Update-Post...)
  * CMake: Install auth.conf.d directory (LP: #1818996)
  * Merge translations from 1.8.0

 -- Julian Andres Klode <juliank@ubuntu.com>  Mon, 11 Mar 2019 10:31:46 +0100

apt (1.7.3) cosmic; urgency=medium

  [ Michael Vogt ]
  * private-json-hooks.cc: deal with EPIPE (LP: #1814543)

  [ Julian Andres Klode ]
  * Introduce experimental 'never' pinning for sources (LP: #1814727)
  * Add a Packages-Require-Authorization Release file field (LP: #1814727)
  * doc: Set ubuntu-codename to cosmic (LP: #1812696)
  * update: Provide APT::Update-Post-Invoke-Stats script hook point
    (LP: #1815760)
  * Introduce APT::Install::Pre-Invoke / Post-Invoke-Success (LP: #1815761)

 -- Julian Andres Klode <juliank@ubuntu.com>  Fri, 01 Mar 2019 09:56:34 +0100

apt (1.7.2) cosmic; urgency=medium

  * Merge security update content injection in http method (CVE-2019-3462)

 -- Julian Andres Klode <juliank@ubuntu.com>  Fri, 25 Jan 2019 12:41:42 +0100

apt (1.7.1) cosmic; urgency=medium

  * Add support for /etc/apt/auth.conf.d/*.conf (netrcparts) (LP: #1811120)
  * NeverAutoRemove kernel meta packages (LP: #1787460)
  * Merge translations from 1.8 series
  * Source-only changes:
    - debian/gbp.conf: Point to 1.7.y branch
    - Do CI using ubuntu:cosmic, not debian:testing

 -- Julian Andres Klode <juliank@ubuntu.com>  Mon, 14 Jan 2019 14:45:17 +0100

=== debian/control ===
--- 
+++ 
@@ -1,8 +1,7 @@
 Source: apt
 Section: admin
 Priority: important
-Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
-XSBC-Original-Maintainer: APT Development Team <deity@lists.debian.org>
+Maintainer: APT Development Team <deity@lists.debian.org>
 Uploaders: Michael Vogt <mvo@debian.org>,
            Julian Andres Klode <jak@debian.org>,
            David Kalnischkies <donkult@debian.org>
@@ -23,6 +22,7 @@
                liblz4-dev (>= 0.0~r126),
                liblzma-dev,
                libseccomp-dev [amd64 arm64 armel armhf i386 mips mips64el mipsel ppc64el s390x hppa powerpc powerpcspe ppc64 x32],
+               libsystemd-dev [linux-any],
                libudev-dev [linux-any],
                libzstd-dev (>= 1.0),
                ninja-build,

## apt 1.8.0~alpha2

=== CMakeLists.txt ===
--- 
+++ 
@@ -115,11 +115,6 @@
   set(HAVE_UDEV 1)
 endif()
 
-find_package(Systemd)
-if (SYSTEMD_FOUND)
-  set(HAVE_SYSTEMD 1)
-endif()
-
 find_package(Seccomp)
 if (SECCOMP_FOUND)
   set(HAVE_SECCOMP 1)
@@ -188,7 +183,7 @@
 # Configure some variables like package, version and architecture.
 set(PACKAGE ${PROJECT_NAME})
 set(PACKAGE_MAIL "APT Development Team <deity@lists.debian.org>")
-set(PACKAGE_VERSION "1.7.5")
+set(PACKAGE_VERSION "1.8.0~alpha2")
 
 if (NOT DEFINED DPKG_DATADIR)
   execute_process(COMMAND ${PERL_EXECUTABLE} -MDpkg -e "print $Dpkg::DATADIR;"
@@ -243,7 +238,6 @@
 # Create our directories.
 install_empty_directories(
   ${CONF_DIR}/apt.conf.d
-  ${CONF_DIR}/auth.conf.d
   ${CONF_DIR}/preferences.d
   ${CONF_DIR}/sources.list.d
   ${CONF_DIR}/trusted.gpg.d

=== debian/changelog ===
apt (1.8.0~alpha2) unstable; urgency=medium

  * Revert "http: Fix handling of server connection closure"
    This reverts commit fb3f36593563d09a8d1727cc7c6deb0b49823ca2. It
    caused downloads to hang on long-lived connections on certain
    servers.
  * Drop debian/source/options, not needed anymore

 -- Julian Andres Klode <jak@debian.org>  Tue, 13 Nov 2018 10:31:49 +0100

apt (1.8.0~alpha1) unstable; urgency=medium

  [ Damyan Ivanov ]
  * apt-get.8: mention --only-source in 'source' and 'build-dep' description

  [ David Kalnischkies ]
  * Support subkeys properly in Signed-By options
  * Support multiple keyrings in sources.list Signed-By

  [ Ben Hutchings ]
  * Default to https: scheme for fetching Debian changelogs (Closes: #910941)

  [ Julian Andres Klode ]
  * NeverAutoRemove kernel meta packages (LP: #1787460)
  * Break pre-gcc8 aptitude and apt (Closes: #911090)
  * http: Fix handling of server connection closure (LP: #1801338)

  [ Frans Spiesschaert ]
  * Dutch program translation update (Closes: #912021)
  * Dutch manpage translation update (Closes: #912022)

  [ Chris Leick ]
  * German manpage translation update
  * Fix typos encountered while updating de translation

  [ Petter Reinholdtsen ]
  * Norwegian Bokmål program translation update (Closes: #912374)

 -- Julian Andres Klode <jak@debian.org>  Mon, 12 Nov 2018 11:52:15 +0100

=== debian/control ===
--- 
+++ 
@@ -22,7 +22,6 @@
                liblz4-dev (>= 0.0~r126),
                liblzma-dev,
                libseccomp-dev [amd64 arm64 armel armhf i386 mips mips64el mipsel ppc64el s390x hppa powerpc powerpcspe ppc64 x32],
-               libsystemd-dev [linux-any],
                libudev-dev [linux-any],
                libzstd-dev (>= 1.0),
                ninja-build,
@@ -73,7 +72,7 @@
 Priority: optional
 Pre-Depends: ${misc:Pre-Depends}
 Depends: ${misc:Depends}, ${shlibs:Depends}
-Breaks: appstream (<< 0.9.0-3~), apt (<< 1.1~exp14), libapt-inst1.5 (<< 0.9.9~)
+Breaks: appstream (<< 0.9.0-3~), apt (<< 1.6~), aptitude (<< 0.8.11), libapt-inst1.5 (<< 0.9.9~)
 Recommends: apt (>= ${binary:Version})
 Section: libs
 Provides: libapt-pkg (= ${binary:Version})

## apt 1.8.0~alpha3

=== CMakeLists.txt ===
--- 
+++ 
@@ -183,7 +183,7 @@
 # Configure some variables like package, version and architecture.
 set(PACKAGE ${PROJECT_NAME})
 set(PACKAGE_MAIL "APT Development Team <deity@lists.debian.org>")
-set(PACKAGE_VERSION "1.8.0~alpha2")
+set(PACKAGE_VERSION "1.8.0~alpha3")
 
 if (NOT DEFINED DPKG_DATADIR)
   execute_process(COMMAND ${PERL_EXECUTABLE} -MDpkg -e "print $Dpkg::DATADIR;"

=== debian/changelog ===
apt (1.8.0~alpha3) unstable; urgency=medium

  [ Manuel A. Fernandez Montecelo ]
  * Remove "Ultimedia" config for Acquire::Changelogs
  * Remove "Tanglu" config for Acquire::Changelogs and as vendor

  [ Julian Andres Klode ]
  * Adjust libapt-pkg Breaks aptitude to << 0.8.9
  * Print useful error on "apt changelog" without arguments
  * test-pdiff-usage: make transaction failure test case more robust
  * Provide a "autopurge" shortcut.
    Thanks to Michael Vogt for the initial work
  * Override FileFd copy constructor to prevent copying
  * Add support for /etc/apt/auth.conf.d/*.conf (netrcparts)
  * Set PATH=/usr/sbin:/usr/bin:/sbin:/bin when running dpkg

  [ David Kalnischkies ]
  * Allow setting Referer header for http method
  * Use quoted tagnames in config dumps

  [ Алексей Шилин ]
  * Russian program translation update (Closes: #914096)

  [ Balint Reczey ]
  * Set LC_ALL=C.UTF-8 for unattended-upgrades environment when parsing its --help
    (LP: #1806076)

  [ Milo Casagrande ]
  * [l10n] Update Italian translation

 -- Julian Andres Klode <jak@debian.org>  Tue, 18 Dec 2018 15:02:11 +0100

## apt 1.8.0~alpha3.1

=== CMakeLists.txt ===
--- 
+++ 
@@ -183,7 +183,7 @@
 # Configure some variables like package, version and architecture.
 set(PACKAGE ${PROJECT_NAME})
 set(PACKAGE_MAIL "APT Development Team <deity@lists.debian.org>")
-set(PACKAGE_VERSION "1.8.0~alpha3")
+set(PACKAGE_VERSION "1.8.0~alpha3.1")
 
 if (NOT DEFINED DPKG_DATADIR)
   execute_process(COMMAND ${PERL_EXECUTABLE} -MDpkg -e "print $Dpkg::DATADIR;"

=== debian/changelog ===
apt (1.8.0~alpha3.1) unstable; urgency=emergency

  * SECURITY UPDATE: content injection in http method (CVE-2019-3462)
    (LP: #1812353)

 -- Julian Andres Klode <jak@debian.org>  Tue, 22 Jan 2019 19:52:38 +0100

=== debian/control ===
--- 
+++ 
@@ -72,7 +72,7 @@
 Priority: optional
 Pre-Depends: ${misc:Pre-Depends}
 Depends: ${misc:Depends}, ${shlibs:Depends}
-Breaks: appstream (<< 0.9.0-3~), apt (<< 1.6~), aptitude (<< 0.8.11), libapt-inst1.5 (<< 0.9.9~)
+Breaks: appstream (<< 0.9.0-3~), apt (<< 1.6~), aptitude (<< 0.8.9), libapt-inst1.5 (<< 0.9.9~)
 Recommends: apt (>= ${binary:Version})
 Section: libs
 Provides: libapt-pkg (= ${binary:Version})

## apt 1.8.0~beta1

=== CMakeLists.txt ===
--- 
+++ 
@@ -183,7 +183,7 @@
 # Configure some variables like package, version and architecture.
 set(PACKAGE ${PROJECT_NAME})
 set(PACKAGE_MAIL "APT Development Team <deity@lists.debian.org>")
-set(PACKAGE_VERSION "1.8.0~alpha3.1")
+set(PACKAGE_VERSION "1.8.0~beta1")
 
 if (NOT DEFINED DPKG_DATADIR)
   execute_process(COMMAND ${PERL_EXECUTABLE} -MDpkg -e "print $Dpkg::DATADIR;"

=== debian/changelog ===
apt (1.8.0~beta1) unstable; urgency=medium

  [ anatoly techtonik ]
  * README.md: Document that apt is also included
  * apt.cc: Add "apt info" alias for muscle memory

  [ Jean-Pierre Giraud ]
  * French manpages translation update (Closes: #915952)

  [ Frans Spiesschaert ]
  * Dutch manpages translation update (Closes: #916358)

  [ Julian Andres Klode ]
  * cache hash: Use sse4.2 CRC32c on x86-64 where available
  * configuration: Compare size first during lookup
  * debListParser: Avoid native arch lookup in ParseDepends
  * hash32: Tighten to multiversion to x86-64 ELF and use uint32_t
  * apt-mark: Introduce minimize-manual
  * doc/apt-verbatim.ent: Point ubuntu-codename to disco (LP: #1812696)
  * CI: Use debian:buster as test base image
  * doc/apt-verbatim.ent: Debian buster is stable
  * SECURITY UPDATE: content injection in http method (CVE-2019-3462)
    (LP: #1812353)
  * debian/control: Drop libcurl4-gnutls-dev build dependency

  [ Mo Zhou ]
  * zh_CN.po: Update Simplified Chinese programs translation.

  [ Khem Raj ]
  * Remove `register` keyword

  [ Vasya Novikov ]
  * bash completion: add keys

  [ David Kalnischkies ]
  * Communicate back which key(s) were used for signing

 -- Julian Andres Klode <jak@debian.org>  Wed, 23 Jan 2019 16:49:34 +0100

## apt 1.8.0~rc2

=== CMakeLists.txt ===
--- 
+++ 
@@ -180,10 +180,15 @@
     set(RESOLV_LIBRARIES -lresolv)
 endif()
 
+# Check multiversioning
+include(CheckCxxTarget)
+check_cxx_target(HAVE_FMV_SSE42_AND_CRC32 "sse4.2" "__builtin_ia32_crc32si(0, 1llu);")
+check_cxx_target(HAVE_FMV_SSE42_AND_CRC32DI "sse4.2" "__builtin_ia32_crc32di(0, 1llu);")
+
 # Configure some variables like package, version and architecture.
 set(PACKAGE ${PROJECT_NAME})
 set(PACKAGE_MAIL "APT Development Team <deity@lists.debian.org>")
-set(PACKAGE_VERSION "1.8.0~beta1")
+set(PACKAGE_VERSION "1.8.0~rc2")
 
 if (NOT DEFINED DPKG_DATADIR)
   execute_process(COMMAND ${PERL_EXECUTABLE} -MDpkg -e "print $Dpkg::DATADIR;"

=== debian/changelog ===
apt (1.8.0~rc2) unstable; urgency=medium

  * Bump SONAMEs in preparation for ABI breaks
  * Correctly handle feature detection for sse4.2 and crc32

 -- Julian Andres Klode <jak@debian.org>  Mon, 04 Feb 2019 18:15:07 +0100

apt (1.8.0~rc1) unstable; urgency=medium

  [ David Kalnischkies ]
  * Fail instead of warn for unsigned lines in InRelease
  * Fail on non-signature lines in Release.gpg
  * Merge and reuse tmp file handling across the board
  * Explicitly remove the whitespaces defined by RFC
  * Refuse files with lines unexpectedly starting with a dash
  * Drop buffered writing from clearsigned message extraction
  * Step over empty sections in TagFiles with comments
    (Closes: #920317, #921037)

  [ Josh Triplett ]
  * Add a "reinstall" command as an alias for "install --reinstall".

  [ Michael Vogt ]
  * private-json-hooks.cc: deal with EPIPE (LP: #1814543)

  [ Julian Andres Klode ]
  * Verify data being sent by methods in SendMessage()
  * Disable deprecated methods (ftp, rsh, ssh) by default
  * Introduce experimental 'never' pinning for sources
  * Add a Packages-Require-Authorization Release file field
  * gpgv: Use buffered writes for splitting clearsigned files
  * Detect function multiversioning and sse4.2/crc32, enables i386
  * Use std::to_string() for HashStringList::FileSize() getter

  [ Алексей Шилин ]
  * Russian program translation update (Closes: #921011)

  [ Baptiste Jammet ]
  * French program translation update (Closes: #921008)

 -- Julian Andres Klode <julian.klode@canonical.com>  Mon, 04 Feb 2019 15:32:27 +0100

## apt 1.8.0~rc3

=== CMakeLists.txt ===
--- 
+++ 
@@ -188,7 +188,7 @@
 # Configure some variables like package, version and architecture.
 set(PACKAGE ${PROJECT_NAME})
 set(PACKAGE_MAIL "APT Development Team <deity@lists.debian.org>")
-set(PACKAGE_VERSION "1.8.0~rc2")
+set(PACKAGE_VERSION "1.8.0~rc3")
 
 if (NOT DEFINED DPKG_DATADIR)
   execute_process(COMMAND ${PERL_EXECUTABLE} -MDpkg -e "print $Dpkg::DATADIR;"

=== debian/changelog ===
apt (1.8.0~rc3) unstable; urgency=medium

  [ Julian Andres Klode ]
  * aptmethod.h: Do not have gcc warning about ignoring write() result
  * Fix issues in previous two debian/changelog entries
  * json-hooks-protocol: The "pin" field is optional
  * debian/gbp.conf: Set debian-branch to 1.8.y
  * Install translated apt_auth and apt-transport-* manpages

  [ Алексей Шилин ]
  * Russian program translation update.
    Thanks to Vladimir Zhbanov <vzhbanov@gmail.com> (Closes: #921830)

  [ Jakub Wilk ]
  * Fix various typos in the documentation

  [ Frans Spiesschaert ]
  * Dutch program translation update (Closes: #921934)
  * Dutch manpages translation update (Closes: #921941)

 -- Julian Andres Klode <jak@debian.org>  Mon, 11 Feb 2019 09:33:46 +0100
